      subroutine BROK (lpitch,lgap)
c
c     receives broken line pitch and mark/space ratio
c     in 0.1mm units, which are converted to 1/72" units.
c
c     If lpitch = 0 a solid line is required.
c
      logical*1 plcmd(40)
      if (lpitch.eq.0 .or. lgap.eq.0) go to 20
      ptmm=72./254.
      ipitch=irnd(lpitch*ptmm)
      igap=irnd(lgap*ptmm)
      idash=ipitch-igap
      encode (47,11,plcmd) idash,igap,10
11    format('stroke newpath ['i2' 'i2'] 0 setdash 1 setlinejoin'a1)
      call sendl(plcmd,47)
      return
20    encode (42,21,plcmd) 10
21    format('stroke newpath [] 0 setdash 1 setlinejoin'a1)
      call sendl(plcmd,42)

      end
